# The MEME Suite

## Motif-based sequence analysis tools

## CentriMo

### Usage

`centrimo [options] <sequence file> <motif file>+`

### Description

CentriMo evaluates if motifs are centerally enriched in a set of sequences.

### Inputs

#### Motif File

A file containing motifs. Outputs from MEME and DREME are supported along with minimal MEME format for which there are conversion scripts avaliable to support other formats. Input motifs that are likely to appear in the sequences.

#### Sequence File

A file containing FASTA formatted sequences which are expected to have the most interesing motifs appearing frequently in center. Typically this will be sequences centered on ChIP-seq peaks.

### Outputs

CentriMo outputs a html file which allows interactive searching and plotting of motifs which are most centrally enriched. CentriMo also outputs two text files: centrimo.txt which is a basic tab delimitered version of the results and site_counts.txt which lists the count of motif sites at each offset.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
Input/Output
--o | <directory> | Create the directory and write output files in it. This option is not compatible with -oc as only one output directory is allowed. | The program behaves as if `--oc centrimo_out` had been specified.
--oc | <directory> | Create the directory but if it already exists allow overwriting the contents. This option is not compatible with --o as only one output directory is allowed. | The program behaves as if `--oc centrimo_out` had been specified.
--bgfile | <bg file> | Read a zero order background from the specified file. If motif-file is specified then read the background from the motif file. | The program uses the base frequencies in the input sequences.
--motif | <id> | Select the specified motif for scanning. This option may be repeated to select multiple motifs. | The program scans with all the motifs.
--motif-pseudo | <pseudocount> | Apply this pseudocount to the PWMs before scanning. | The program applies a pseudocount of 0.1.
Scanning
--score | <S> | The score threshold for PWMs, in bits. Sequences without a site with score >= <S> are ignored. | A score of 5 is used.
--maxbin | <width> | The maximum central region (bin) size to consider. | Try all central bin sizes up to the sequence width.
--norc |  | Do not scan with the reverse complement motif. | Scans with the reverse complement motif.
--noflip |  | do not 'flip' the sequence; use rc of motif instead. | reverse complement matches appear 'reflected' around sequence centers
Output filtering
--ethresh | <thresh> | Limit the results to including motifs with better E-values. | Include motifs with E-values up to 10.
Miscellaneous
-verbosity | <level> | A number that regulates the verbosity level of the output information messages. If set to 1 (quiet) then it will only output error messages whereas the other extreme 5 (dump) outputs lots of mostly useless information. | The verbosity level is set to 2 (normal).